"{ Package: 'stx:goodies/xtreams/support' }"

LibraryDefinition subclass:#stx_goodies_xtreams_support
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects & Packages *'
!

!stx_goodies_xtreams_support class methodsFor:'documentation'!

extensionsVersion_SVN
    ^ '$Id$'
! !

!stx_goodies_xtreams_support class methodsFor:'description'!

excludedFromPreRequisites
    "list all packages which should be ignored in the automatic
     preRequisites scan. See #preRequisites for more."

    ^ #(
    )
!

preRequisites
    "list all required packages.
     This list can be maintained manually or (better) generated and
     updated by scanning the superclass hierarchies and looking for
     global variable accesses. (the browser has a menu function for that)
     Howevery, often too much is found, and you may want to explicitely
     exclude individual packages in the #excludedFromPrerequisites method."

    ^ #(
        #'stx:libbasic'    "Collection - superclass of Xtreams::InterpretedBytes "
        #'stx:libbasic2'    "SignedWordArray - referenced by Xtreams::InterpretedBytes class>>signedShort_le "
    )
! !

!stx_goodies_xtreams_support class methodsFor:'description - contents'!

classNamesAndAttributes
    "lists the classes which are to be included in the project.
     Each entry in the list may be: a single class-name (symbol),
     or an array-literal consisting of class name and attributes.
     Attributes are: #autoload or #<os> where os is one of win32, unix,..."

    ^ #(
        "<className> or (<className> attributes...) in load order"
        #'Xtreams::Encoder'
        #'Xtreams::InterpretedBytes'
        #'Xtreams::XtreamsPool'
        #'stx_goodies_xtreams_support'
        #'Xtreams::RecyclingCenter'
        #'Xtreams::STXEncoder'
    )
!

extensionMethodNames
    "lists the extension methods which are to be included in the project.
     Entries are 2-element array literals, consisting of class-name and selector."

    ^ #(
        Behavior absoluteName
        Block cull:
        Block cull:cull:
        Object isFixedArgument
        OrderedCollection copyGrownToAtLeast:
        SequenceableCollection copyGrownToAtLeast:
        SequenceableCollection recycle
        Symbol cull:
        #'UnixOperatingSystem::FileDescriptorHandle' fileSize
        'SequenceableCollection class' newRecycled:
    )
! !

!stx_goodies_xtreams_support class methodsFor:'description - project information'!

applicationIconFileName
    "Return the name (without suffix) of an icon-file (the app's icon); will be included in the rc-resource file"

    ^ nil
    "/ ^ self applicationName
!

companyName
    "Return a companyname which will appear in <lib>.rc"

    ^ 'eXept Software AG'
!

description
    "Return a description string which will appear in vc.def / bc.def"

    ^ 'Smalltalk/X Class library'
!

legalCopyright
    "Return a copyright string which will appear in <lib>.rc"

    ^ 'Copyright Claus Gittinger 1988-2011\nCopyright eXept Software AG 1998-2011'
!

productName
    "Return a product name which will appear in <lib>.rc"

    ^ 'Smalltalk/X'
! !

!stx_goodies_xtreams_support class methodsFor:'description - svn'!

svnRepositoryUrlString
    "Return a SVN repository URL of myself.
     (Generated since 2011-04-08)
    "        

    ^ '$URL$'
!

svnRevisionNr
    "Return a SVN revision number of myself.
     This number is updated after a commit"

    ^ "$SVN-Revision:"'80'"$"
! !

!stx_goodies_xtreams_support class methodsFor:'documentation'!

version_SVN
    ^ '$Id$'
! !
